playMaker

Author Topic: Legacy GUI references and Unity 2017 [SOLVED]  (Read 181 times)

gheeDough

  • Playmaker Newbie
  • *
  • Posts: 37
    • View Profile
    • indie game school
Legacy GUI references and Unity 2017 [SOLVED]
« on: December 19, 2017, 03:56:59 PM »
Hey team,

Unity 2017 is giving me a lot of warnings for legacy GUI references in the Playmaker scripts (and iTween library).

Is there a plan for removing those references? They're giving me a pretty significant performance hit.

Cheers,

Guido
« Last Edit: December 20, 2017, 04:21:49 PM by gheeDough »

Alex Chouls

  • Administrator
  • Hero Member
  • *****
  • Posts: 3252
  • Official Playmaker Support
    • View Profile
    • LinkedIn
Re: Legacy GUI references and Unity 2017
« Reply #1 on: December 19, 2017, 06:37:48 PM »
If you update in the asset store and install the latest version the warnings should go away.

gheeDough

  • Playmaker Newbie
  • *
  • Posts: 37
    • View Profile
    • indie game school
Re: Legacy GUI references and Unity 2017
« Reply #2 on: December 20, 2017, 04:20:19 PM »
Thanks, Alex! I was already on the latest version, so can't upgrade, but the warnings just went away... ::)

Alex Chouls

  • Administrator
  • Hero Member
  • *****
  • Posts: 3252
  • Official Playmaker Support
    • View Profile
    • LinkedIn
Re: Legacy GUI references and Unity 2017 [SOLVED]
« Reply #3 on: December 20, 2017, 05:37:42 PM »
I updated just the 2017 package without bumping the version number. So, yeah, same version number, but with a patch to fix 2017 warnings.

gheeDough

  • Playmaker Newbie
  • *
  • Posts: 37
    • View Profile
    • indie game school
Re: Legacy GUI references and Unity 2017 [SOLVED]
« Reply #4 on: December 26, 2017, 05:48:12 PM »
Ah perfect - thanks!